summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorVadim A. Misbakh-Soloviov <git@mva.name>2016-12-06 16:11:18 +0700
committerVadim A. Misbakh-Soloviov <git@mva.name>2016-12-06 16:11:18 +0700
commit47c7eb3b4b8412762f299e9b5eb28175af7b6eb9 (patch)
tree9ed1f61f3afcade061f44fca1c7313d1215a7e04
parentqjoypad: fix dep (diff)
downloadgamerlay-47c7eb3b4b8412762f299e9b5eb28175af7b6eb9.tar.gz
gamerlay-47c7eb3b4b8412762f299e9b5eb28175af7b6eb9.tar.bz2
gamerlay-47c7eb3b4b8412762f299e9b5eb28175af7b6eb9.zip
glfrontier: added
-rw-r--r--games-strategy/glfrontier/Manifest2
-rw-r--r--games-strategy/glfrontier/files/glfrontier-20060623-fix_missing_math_lib.patch24
-rw-r--r--games-strategy/glfrontier/glfrontier-20060623-r4.ebuild50
-rw-r--r--games-strategy/glfrontier/metadata.xml13
4 files changed, 89 insertions, 0 deletions
diff --git a/games-strategy/glfrontier/Manifest b/games-strategy/glfrontier/Manifest
new file mode 100644
index 0000000..2cac04d
--- /dev/null
+++ b/games-strategy/glfrontier/Manifest
@@ -0,0 +1,2 @@
+DIST frontvm-audio-20060222.tar.bz2 4623648 SHA256 e759e587047abd6f041aea4ef339e404b3ca5a6407acf65084a2af79a75ceb87 SHA512 50fdd3e7ac5547a0ca2081ab0350a8b7f5ecbeed015d2f3b1947777921fd145cc4475e5fc36910898577d1c9c3fec87d11e0e18240c03490991441c2bd484f6a WHIRLPOOL 136d00022892b9c383c4d5180bc3820e18c06a276e2253a51932e583cbfc0d86f16dfc9f4006bc4116db4cc98dadcb737e7b16a0130a6a9419298d6340e32916
+DIST frontvm3-20060623.tar.bz2 426463 SHA256 9b6c04e8dad75bea11cce459515c7d5983276e23dba4a4764f1084d4810c0afb SHA512 45c4b5aaf4f7e2caac632c6af8936992684b048df87c183387283fbb627966e077ac4a50d5e4df0072f025e755a82e43bb9684cb81d1ac4080fc0042d2a36159 WHIRLPOOL 982a7735956e92f310ad732f03514cd700e3755b7dbbf004a957d19c0c929dfbed5621b1c8ea38a995fa019f463f029e613886049567bf99d033ca242d4ab7e8
diff --git a/games-strategy/glfrontier/files/glfrontier-20060623-fix_missing_math_lib.patch b/games-strategy/glfrontier/files/glfrontier-20060623-fix_missing_math_lib.patch
new file mode 100644
index 0000000..fa314f5
--- /dev/null
+++ b/games-strategy/glfrontier/files/glfrontier-20060623-fix_missing_math_lib.patch
@@ -0,0 +1,24 @@
+--- a/frontvm3-20060623/Makefile-C 2014-11-14 07:37:29.430146785 +0100
++++ b/frontvm3-20060623/Makefile-C 2014-11-14 07:37:54.728146745 +0100
+@@ -1,5 +1,5 @@
+-export CFLAGS = -O2 -g -Wall -DOGG_MUSIC
+-export LIBS = -lGL -lGLU -lvorbisfile -lvorbis -logg
++export CFLAGS = -march=native -pipe -O2 -Wall -DOGG_MUSIC
++export LIBS = -lGL -lGLU -lvorbisfile -lvorbis -logg -lm
+ export FE2OBJS = ../fe2.part1.o ../fe2.part2.o
+
+ THIS=Makefile-C
+@@ -24,11 +24,8 @@
+
+ fe2obj:
+ as68k/as68k --output-c fe2.s
+- # this bit can be optimised because it is lots of small functions
+- $(CC) -DPART1 -O1 -fomit-frame-pointer -Wall -Wno-unused -s `sdl-config --cflags` -c fe2.s.c -o fe2.part1.o
+- # this can't unless you have shitloads of memory and a fuck meaty
+- # machine, because it is a huge stinking function.
+- $(CC) -DPART2 -O0 -fomit-frame-pointer -Wall -Wno-unused -s `sdl-config --cflags` -c fe2.s.c -o fe2.part2.o
++ $(CC) -DPART1 $(CFLAGS) -fomit-frame-pointer -Wall -Wno-unused -s `sdl-config --cflags` -c fe2.s.c -o fe2.part1.o
++ $(CC) -DPART2 $(CFLAGS) -fomit-frame-pointer -Wall -Wno-unused -s `sdl-config --cflags` -c fe2.s.c -o fe2.part2.o
+
+ clean:
+ $(MAKE) -C src/ clean
diff --git a/games-strategy/glfrontier/glfrontier-20060623-r4.ebuild b/games-strategy/glfrontier/glfrontier-20060623-r4.ebuild
new file mode 100644
index 0000000..5b14f4d
--- /dev/null
+++ b/games-strategy/glfrontier/glfrontier-20060623-r4.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=6
+
+inherit eutils
+
+MY_PN=glfrontier
+MY_P=${MY_PN}-${PV}
+DESCRIPTION="Frontier: Elite 2 with OpenGL support"
+HOMEPAGE="http://tom.noflag.org.uk/glfrontier.html"
+
+SRC_URI="http://tom.noflag.org.uk/glfrontier/frontvm3-20060623.tar.bz2
+ http://tom.noflag.org.uk/misc/frontvm-audio-20060222.tar.bz2"
+
+
+LICENSE="GPL"
+KEYWORDS="~x86 ~amd64"
+IUSE=""
+
+SLOT="0"
+
+RDEPEND=">=media-libs/freeglut-2.6
+ media-libs/libsdl
+ media-libs/libogg"
+DEPEND="${RDEPEND}"
+
+S=${WORKDIR}
+
+src_prepare() {
+ epatch "${FILESDIR}/${MY_P}"-fix_missing_math_lib.patch
+ eapply_user
+}
+
+src_compile() {
+ cd ${S}/frontvm3-20060623
+ make -f Makefile-C || die "make install failed"
+}
+
+src_install() {
+ mv ${S}/frontvm3-20060623/frontier ${S}/frontvm3-20060623/${MY_PN}
+
+ dobin ${S}/frontvm3-20060623/${MY_PN}
+ insinto /usr/share/${MY_PN}
+ doins ${S}/frontvm3-20060623/fe2.s.bin
+ doins -r ${S}/frontvm-audio-20060222/*
+
+ make_desktop_entry /usr/share/${MY_PN}/${MY_PN} GLFrontier ${MY_PN} Game Path=/usr/share/${MY_PN}
+}
diff --git a/games-strategy/glfrontier/metadata.xml b/games-strategy/glfrontier/metadata.xml
new file mode 100644
index 0000000..3987c0c
--- /dev/null
+++ b/games-strategy/glfrontier/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<herd>no-herd</herd>
+<maintainer>
+ <email>yamakuzure@gmx.net</email>
+ <description>The creator of this ebuild, but not the official maintainer</description>
+</maintainer>
+<longdescription>
+MISSING
+</longdescription>
+<use />
+</pkgmetadata>